<template>
    <div class="edit-directory">
      <div class="input-section">
        <label>
          Предмет
          <input v-model="currentDirectory.item" type="text" />
        </label>
      </div>
      <div class="input-section">
        <label>
          Години
          <input v-model="currentDirectory.hoursquantity" type="number" />
        </label>
      </div>
      <div class="input-section">
        <label>
          Викладач
          <input v-model="currentDirectory.teacher" type="text" />
        </label>
      </div>
      <div class="input-section">
        <label>
          Рейтинг
          <input v-model="currentDirectory.rating" type="number" />
        </label>
      </div>
    </div>
  </template>
  
  <script>
  import { mapActions } from 'vuex'
  
  export default {
    name: 'EditDirectory',
    data() {
      return {
        currentDirectory: {},
      }
    },
    watch:{
      currentDirectory:{
        handler(newFilter){
          this.updateFilter(newFilter);
        },
        deep: true,
      }
    },
    methods: {
      ...mapActions(['updateFilter']),
      name() {
        // Якщо тут має бути логіка, то це місце для її розміщення
      }
    },
  }
  </script>
  
  <style lang="scss" scoped>
  .edit-directory {
    max-width: 400px;
    margin: 0 auto;
    /* Інші стилі за необхідності */
  }
  
  .input-section {
    margin-bottom: 20px;
    /* Інші стилі за необхідності */
  }
  
  label {
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
    /* Інші стилі за необхідності */
  }
  
  input {
    width: 100%;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    /* Інші стилі за необхідності */
  }
  </style>
  